Skip to main content
`Ctrl`+`K`

# SNESQNType

the type used by `SNESQN`

## Values

- `SNES_QN_LBFGS` - LBFGS variant

- `SNES_QN_BROYDEN` - Broyden variant

- `SNES_QN_BADBROYDEN` - Bad Broyden variant

## Options Database Key

- -snes_qn_type (lbfgs|broyden|badbroyden) - quasi-Newton type

## See Also

`SNES`, `SNESQN`, `SNESQNSetScaleType()`, `SNESQNSetType()`, `SNESQNScaleType`, `SNESQNRestartType`, `SNESQNSetRestartType()`

## Level

intermediate

## Location

include/petscsnes.h

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages